package cz.moneta.test.dsl.ufo.banka.pages.cards.credit;

import cz.moneta.test.harness.support.web.SelectByValue;

public enum CardTypeAndDesign implements SelectByValue {
    GOLD("Gold"),
    PRIDE("Pride"),
    STANDARD("Standard"),
    SWIMMING("Plavání"),
    CYCLING("Cyklistika"),
    TENNIS("Tenis"),
    BEACH("Beach volejbal"),
    PRAGUE("Praha"),
    CENTRAL_BOHEMIAN_REGION("Středočeský kraj"),
    SOUTH_BOHEMIAN_REGION("Jihočeský kraj"),
    PLZEN("Plzeňský kraj"),
    KARLOVY_VARY("Karlovarský kraj"),
    USTI("Ústecký kraj"),
    LIBEREC("Liberecký kraj"),
    HRADEC("Královéhradecký kraj"),
    PARDUBICE("Pardubický kraj"),
    VYSOCINA("Kraj Vysočina"),
    SOUTH_MORAVIA_REGION("Jihomoravský kraj"),
    ZLIN("Zlínský kraj"),
    OLOMOUC("Olomoucký kraj"),
    MORAVIAN_SILESIAN_REGION("Moravskoslezský kraj"),
    STANDARD_EUR("Standard EUR"),
    STANDARD_USD("Standard USD"),
    BUSINESS("Business|"),
    BUSINESS_PREMIUM("Business Premium|"),
    BUSINESS_EUR("Business EUR|"),
    BUSINESS_USD("Business USD|");

    private final String designOfCard;

    CardTypeAndDesign(String designOfCard) {
        this.designOfCard = designOfCard;
    }

    @Override
    public String getValue() {
        return designOfCard;
    }
}
